<template>
  <section-container title="Project">
    This page is not of much use yet. Please take a look at
    <router-link to="/sandbox">Sandbox</router-link>,
    <router-link to="/vault">Vault</router-link> and
    <router-link to="/storage">Storage</router-link> pages.
    <!-- <storage-selector multiple @select="selected = $event" />
    {{ selected }} -->
    <api-data endpoint="/project/transformation/" v-model="transformations" />
  </section-container>

  <section-container title="Transformations">
    <div v-for="info in transformations" :key="info.id">
      <h3>{{ info.id }}</h3>
      <p>
        Type: <code>{{ info.type }}</code>
      </p>
      <h4>Input:</h4>
      <ul>
        <li v-for="kex in info.input_kexes" :key="kex.kex">
          <a class="input-link" :href="`${base_url}storage/${kex.kex}`">{{
            kex.kex
          }}</a>
        </li>
      </ul>

      <ul>
        <li
          v-for="table in info.input_tables"
          :key="table.kex.kex + table.table"
        >
          <a
            class="input-link"
            :href="`${base_url}storage/${table.kex.kex}/${table.table}`"
            >{{ table.kex.kex }}.{{ table.table }}</a
          >
        </li>
      </ul>
    </div>
  </section-container>
</template>

<script>
export default {
  name: "Project",
  data() {
    return {
      transformations: [],
    };
  },
};
</script>
